Bug 1018969 - [deploy] Add dependency directory section to managed_files.yml
[deploy] Add dependency directory section to managed_files.yml
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks: 1018387 1019643
  Show dependency treegraph
 
Reported: 2013-10-14 15:55 EDT by Andy Goldstein
Modified: 2015-05-14 19:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:48:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2013-10-14 15:55:07 EDT
We should add a section to managed_files.yml that cartridge authors can use to indicate what directories they need in app-root/runtime/dependencies that the platform should create with each new deployment directory (clean build).
Comment 1 Andy Goldstein 2013-10-14 16:02:29 EDT
The section in managed_files.yml might look like this for the php cartridge:

dependency_dirs:
- phplib

And to avoid conflicts across cartridges, we should also make it so this would result in

app-deployments/$datetime/dependencies/php/phplib

Whenever a cartridge is configured as well as for clean builds, the platform will create each cartridge's dependency directories listed in managed_files.yml and create the appropriate symlinks. From the above example, this would mean the following symlink would be created:

~/php/phplib, points at ~/app-root/runtime/dependencies/php/phplib
Comment 2 Andy Goldstein 2013-10-17 12:02:15 EDT
https://github.com/openshift/origin-server/pull/3913
Comment 3 Qiushui Zhang 2013-10-21 07:03:53 EDT
Tested on devenv_3921.
The changed files are merged in on the latest instance.

Mark the bug as verified.

Note You need to log in before you can comment on or make changes to this bug.